## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pynetbox

Name:           python-%{pypi_name}
Version:        7.2.0
Release:        %autorelease
Summary:        Python API client library for Netbox

License:        Apache-2.0
URL:            https://github.com/netbox-community/pynetbox
Source:         %{pypi_source}

# Allow packaging 24.0
# Proposed upstream: https://github.com/netbox-community/pynetbox/pull/608
Patch:          packaging_24.patch

BuildArch:      noarch

%global _description \
%{summary}.

%description %{_description}

%package     -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -vv tests/test_*.py tests/unit

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
## START: Generated by rpmautospec
* Mon Mar 11 2024 Lumir Balhar <lbalhar@redhat.com> - 7.2.0-4
- Allow packaging 24.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 28 2023 Igor Raits <igor.raits@gmail.com> - 7.2.0-1
- Update ot 7.2.0

* Tue Aug 29 2023 Igor Raits <igor.raits@gmail.com> - 7.1.0-1
- Update to 7.1.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 7.0.1-3
- Rebuilt for Python 3.12

* Wed Mar 15 2023 Igor Raits <igor.raits@gmail.com> - 7.0.1-2
- Modernize spec

* Thu Feb 23 2023 Igor Raits <igor.raits@gmail.com> - 7.0.1-1
- Update to 7.0.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 6.6.2-4
- Rebuilt for Python 3.11

* Wed Jun 01 2022 Igor Raits <igor.raits@gmail.com> - 6.6.2-2
- Explicitly buildrequire packaging

* Wed Jun 01 2022 Igor Raits <igor.raits@gmail.com> - 6.6.2-1
- Update to 6.6.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 05 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Sun Nov 21 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Sat Jul 31 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.1.3-1
- Update to 6.1.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.1.2-1
- Update to 6.1.2

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.1.0-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 20 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.3.1-1
- Update to 5.3.1

* Tue Jan 05 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.3.0-1
- Update to 5.3.0

* Wed Dec 30 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.2.1-1
- Update to 5.2.1

* Wed Dec 30 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.2.0-2
- Fix tests

* Wed Dec 30 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0

* Fri Dec 25 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.1.2-1
- Update to 5.1.2

* Thu Oct 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.1.0-1
- Update to 5.1.0

* Wed Sep 02 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.0.8-1
- Update to 5.0.8

* Thu Aug 20 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.0.7-1
- Update to 5.0.7

* Sun Aug 09 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.0.5-1
- Update to 5.0.5

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 4.3.1-2
- Rebuilt for Python 3.9

* Sun Apr 05 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.3.1-1
- Update to 4.3.1

* Tue Feb 11 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.2.5-1
- Update to 4.2.5

* Fri Jan 31 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.2.4-3
- Add missing BR

* Fri Jan 31 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.2.4-2
- Fixup BRs

* Fri Jan 31 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.2.4-1
- Initial import
## END: Generated by rpmautospec
